Subject: Re: [patch 1/3] softmac: return -EAGAIN from getscan while scanning

From: "Jouni Malinen" <[email-masked]>
Date: Thu, 13 Apr 2006 09:00:51 -0700

On Thu, Apr 13, 2006 at 02:19:26PM +0200, Johannes Berg wrote:

> But the question is rather -- should we block the program inside the
> kernel and only return from "get scan" after the scan is actually done,
> rather than returning "we can't give you anything now, try later". We
> could do that too, but then the program would be blocked inside the
> kernel without any chance of saying "bah, this takes too long, I'll
> ignore it".

Please don't. That could be blocking an ioctl call for couple of seconds
and would be quite horrible for single threaded programs. It is possible
to wait for scan completion events, but what if some other program were
to request a new scan between the completion event and the attempt to
read the previous scan results..

-- 
Jouni Malinen                                            PGP id EFC895FA